@echo off
echo.
echo === BEGIN SEEPROM PATCH UTILITY ====
echo.

REM Upload Image from SEEPROM to file
nvdata_c /upld

REM  Patch the file if necessary
REM  Necessary when B version of SEEPROM file present and
REM  current spinup value is less than 7 seconds.
nvptch -iimage1.img
if ERRORLEVEL==1 goto error

REM  If new SEEPROM Image created, download it to SEEPROM.
echo OK, UPDATED IMAGE FILE, DOWNLOADING NEW FILE TO SEEPROM....
nvdata_c image1.img
goto done

REM  Not really an error.  Just don't need to update seeprom due
REM  to above mentioned reasons.
:error
echo NOT PERFORMING SPIN-UP DELAY SEEPROM PATCH.


:done
echo.
echo === END SEEPROM PATCH UTILITY ====
echo.

